import { ElementRef, EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import 'eonasdan-bootstrap-datetimepicker';
import { Moment } from 'moment';
export declare class NgTsDatepickerDirective implements OnInit, OnChanges {
    private el;
    /**
     * Initial date value
     */
    date: Moment;
    /**
     * Options based on http://eonasdan.github.io/bootstrap-datetimepicker/Options/ plus some additional options:
     *
     * - preventInputKeys (prevents entering values manually into input, defaults to true)
     */
    options: any;
    /**
     * Emits date selected from datepicker
     */
    change: EventEmitter<Moment>;
    /**
     * Emits string in UTC based on value selected in datepicker
     */
    utcChange: EventEmitter<string>;
    /**
     * Emits empty value once datepicker is clicked
     */
    click: EventEmitter<any>;
    private dpElement;
    private defaultOptions;
    private hasParent;
    private internalOptions;
    constructor(el: ElementRef);
    formatToUtc(date: Moment): string;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    private appendCalendarIcon();
}
